# Function to mount via cifs.
login_cifs() {

#Do CIFS mounts, ${1}=domain, ${2}=server, ${3}=shared dir name, ${4}=mount point, ${6}=User name, ${7}=Comment
#Useage:- /sbin/mount.cifs //10.85.0.153/Support /home/andrew/I -o dom=addm,user=bccaawsr

${DEBUG} ""
${DEBUG} "==>login_cifs"

#Test if mount point exists
test_dir_exists ${HOME}/${LOGIN_LOCALPATH[${1}]}
test_mountpoint ${HOME}/${LOGIN_LOCALPATH[${1}]}

${DEBUG} "=>Running ${CIFSPATH}/${CIFS} //${LOGIN_SERVER[${1}]}/${LOGIN_SERVPATH[${1}]} ${HOME}/${LOGIN_LOCALPATH[${1}]} -o dom=${LOGIN_DOMAIN[${1}]},user=${LOGIN_USER[${1}]} &&"

${CIFSPATH}/${CIFS} //${LOGIN_SERVER[${1}]}/${LOGIN_SERVPATH[${1}]} ${HOME}/${LOGIN_LOCALPATH[${1}]} -o dom=${LOGIN_DOMAIN[${1}]},user=${LOGIN_USER[${1}]} &&

#see if mount has succeded by testing for mounted directory
mount | grep ${HOME}/${LOGIN_LOCALPATH[${1}]} 
#2&>1
CIFSMOUNTOKRC=$?
if [ ${CIFSMOUNTOKRC} -eq 0 ]; then
	${DEBUG} "==>Mount on ${HOME}/${LOGIN_LOCALPATH[${1}]} succeeded."
	#squirt out desktop icon, name, mount, filesystem
	${DEBUG} "==>Writing out icon file."
	generate_icon ${LOGIN_LOCALPATH[${1}]} ${LOGIN_USER[${1}]} cifs
else
        ${DEBUG} "==>Mount on ${HOME}/${LOGIN_LOCALPATH[${1}]} failed."
fi
}

