#Do sshfs mounts to Linux/Unix Servers
login_sshfs()
{
#Useage:- sshfs andrew@hosting2.unix.brm.pri:/home/andrew tmp/

${DEBUG} ""
${DEBUG} "==>login_sshfs"

#Test if mount point exists
test_dir_exists ${HOME}/${LOGIN_LOCALPATH[${1}]}
test_mountpoint ${HOME}/${LOGIN_LOCALPATH[${1}]}


#Using -o nonempty to allow mounting over non empty mount points.
${DEBUG} "=>Running $SSHFSPATH/$SSHFS -o nonempty ${LOGIN_USER[${1}]}@${LOGIN_SERVER[${1}]}:${LOGIN_SERVPATH[${1}]} ${HOME}/${LOGIN_LOCALPATH[${1}]}"
$SSHFSPATH/$SSHFS -o nonempty ${LOGIN_USER[${1}]}@${LOGIN_SERVER[${1}]}:${LOGIN_SERVPATH[${1}]} ${HOME}/${LOGIN_LOCALPATH[${1}]}

#see if mount has succeded by testing for mounted directory
mount | grep ${HOME}/${LOGIN_LOCALPATH[${1}]} 
#2&>1
SSHMOUNTOKRC=$?
if [ ${SSHMOUNTOKRC} -eq 0 ]; then
        ${DEBUG} "==>Mount on ${HOME}/${LOGIN_LOCALPATH[${1}]} succeeded."
        #squirt out desktop icon, name, mount, filesystem
        ${DEBUG} "==>Writing out icon file."
	#squirt out desktop icon
	generate_icon ${LOGIN_LOCALPATH[${1}]} ${LOGIN_USER[${1}]} sshfs
else
        ${DEBUG} "==>Mount on ${HOME}/${LOGIN_LOCALPATH[${1}]} failed."
fi
}


